commit 8a1fc237b1854b4d5f7f1ee1d22633009bd20df2
Author: freddy77 <freddy77>
Date:   Thu Aug 5 08:58:36 2010 +0000

    fix fakepoll

diff --git a/ChangeLog b/ChangeLog
index 3672189..99b2510 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -1,3 +1,6 @@
+Thu Aug  5 10:58:27 CEST 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
+	* include/replacements.h src/replacements/fakepoll.c: fix fakepoll
+
 Wed Aug  4 13:01:18 CEST 2010    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* src/odbc/odbc.c src/odbc/odbc_util.c: simplify odbc_populate_ird
 
@@ -2820,4 +2823,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog-0.82 added because of release
 	
 $FreeTDS$
-$Id: ChangeLog,v 1.3109 2010/08/04 11:01:34 freddy77 Exp $
+$Id: ChangeLog,v 1.3110 2010/08/05 08:58:36 freddy77 Exp $
diff --git a/include/replacements.h b/include/replacements.h
index 9ae9f9f..175e3e4 100644
--- a/include/replacements.h
+++ b/include/replacements.h
@@ -20,7 +20,7 @@
 #ifndef _replacements_h_
 #define _replacements_h_
 
-/* $Id: replacements.h,v 1.26 2010/01/25 23:05:58 freddy77 Exp $ */
+/* $Id: replacements.h,v 1.27 2010/08/05 08:58:36 freddy77 Exp $ */
 
 #include <stdarg.h>
 #include "tds_sysdep_public.h"
@@ -39,6 +39,11 @@
 # include <libgen.h>
 #endif
 
+#if !HAVE_POLL
+#include <fakepoll.h>
+#define poll(fds, nfds, timeout) fakepoll((fds), (nfds), (timeout))
+#endif /* !HAVE_POLL */
+
 #if defined(__GNUC__) && __GNUC__ >= 4 && !defined(__MINGW32__)
 #pragma GCC visibility push(hidden)
 #endif
@@ -48,11 +53,6 @@ extern "C"
 {
 #endif
 
-#if !HAVE_POLL
-#include <fakepoll.h>
-#define poll(fds, nfds, timeout) fakepoll((fds), (nfds), (timeout))
-#endif /* !HAVE_POLL */
-
 #if !HAVE_VSNPRINTF
 #if  HAVE__VSNPRINTF
 #undef vsnprintf
diff --git a/src/replacements/fakepoll.c b/src/replacements/fakepoll.c
index b6ad165..6dbaa04 100644
--- a/src/replacements/fakepoll.c
+++ b/src/replacements/fakepoll.c
@@ -23,7 +23,7 @@
 
 #ifndef HAVE_POLL
 
-static char software_version[] = "$Id: fakepoll.c,v 1.10 2010/05/12 11:19:16 freddy77 Exp $";
+static char software_version[] = "$Id: fakepoll.c,v 1.11 2010/08/05 08:58:36 freddy77 Exp $";
 static void *no_unused_var_warn[] = { software_version, no_unused_var_warn };
 
 #include <stdarg.h>
@@ -129,11 +129,13 @@ fakepoll(struct pollfd fds[], int nfds, int timeout)
 	 * select(2) returns EINVAL, and so do we.  
 	 * EFAULT might be better.
 	 */ 
+#if !defined(_WIN32)
 	if (maxfd > FD_SETSIZE) {
 		assert(FD_SETSIZE > 0);
 		errno = EINVAL;
 		return -1;
 	}
+#endif
 
 	/*
 	 * poll timeout is in milliseconds. Convert to struct timeval.

